#
# spec file for package sil-abyssinica-fonts
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           sil-abyssinica-fonts
Version:        2.201
Release:        1.4
Summary:        Smart Unicode Font for the Ethiopic Script (Amharic)
License:        OFL-1.1
Group:          System/X11/Fonts
URL:            https://software.sil.org/abyssinica/
Source0:        https://software.sil.org/downloads/r/abyssinica/AbyssinicaSIL-%{version}.zip
BuildRequires:  dos2unix
BuildRequires:  fontpackages-devel
BuildRequires:  unzip
Provides:       sil-abyssinica = %{version}
Provides:       locale(so)
Obsoletes:      sil-abyssinica < %{version}
BuildArch:      noarch
%reconfigure_fonts_prereq

%description
The Ethiopic script is used for writing many of the languages of
Ethiopia and Eritrea.  Ethiopic (U+1200..U+137F) was added to Unicode
3.0.  Ethiopic Supplement (U+1380..U+139F) and Ethiopic Extended
(U+2D80..U+2DDF) were added to Unicode 4.1. Abyssinica SIL supports all
Ethiopic characters which are in Unicode including the Unicode 4.1
extensions. Some languages of Ethiopia are not yet able to be fully
represented in Unicode and, where necessary, we have included
non-Unicode characters in the Private Use Area (see Private-use (PUA)
characters supported by Abyssinica SIL).

Abyssinica SIL is based on Ethiopic calligraphic traditions. This
release is a regular typeface, with no bold or italic version available
or planned.

%prep
%setup -q -T -c sil-abyssinica -n sil-abyssinica
unzip -x %{SOURCE0}
find -type f -print0 | xargs -0 chmod -x
find -name '*.txt' -print0 | xargs -0 dos2unix

%build

%install
mkdir -p %{buildroot}%{_ttfontsdir}/
install -c -m 644 AbyssinicaSIL-%{version}/*.ttf %{buildroot}%{_ttfontsdir}

%reconfigure_fonts_scriptlets

%files
%doc AbyssinicaSIL-%{version}/*.txt AbyssinicaSIL-%{version}/documentation/pdf/*.pdf
%{_ttfontsdir}

%changelog
* Tue Nov 21 2023 Dirk Müller <dmueller@suse.com>
- update to 2.201:
  * Fixed bug in TypeTuner support for cv46 tswa alternate
* Sun Dec  4 2022 Dirk Müller <dmueller@suse.com>
- update to 2.200:
  * Adjusted design of U+1395 ETHIOPIC TONAL MARK KENAT
  * Adjusted width of U+2008 PUNCTUATION SPACE to match full stop
  * Fixed inconsistency between Graphite and OpenType support for cv46 tswa alternate
  * Added U+1E7E0..U+1E7E6, U+1E7E8..U+1E7EB, U+1E7ED..U+1E7EE, U+1E7F0..U+1E7FE
  * Modified a few kerning pairs and added kerning pairs for some of the new characters
  * Changed Latin digits (for use in Ethiopic) to use a serif style
  * Modified Ethiopic digits to have a more consistent size
  * Added cv02 to support digits with connecting above and below lines
  * Added U+02D0, U+034F, U+2423, U+25CA
  * Improved design of U+1256 so the top flag touches
  * Improved design of U+1368 to fit the design of the font better
  * Improved design of U+1362 (extra space to the right)
  * Added language support for Sebat Bet Gurage and Gumuz variants
  * Added UI name strings for Graphite and OpenType features
  * Removed Stylistic Sets
  * Slight change to line spacing to make it consistent across applications
  * Unencoded most PUA characters as they are supported through Character Variants
  * Improved design of U+1396 and U+1399 (metrics changed for these characters)
  * Added character variants
  * Added variant glyphs for U+2D93..U+2D96 (for Blin)
  * Added variant glyphs for U+12E0..U+12E6 and U+1335 (historical usage)
  * Changed Graphite feature identifiers from integers to 4-character
  * alphanumeric tags
  * Updated for Unicode 6.0 (U+AB00..U+AB2F)
  * Added Stylistic Sets and Graphite Features
  * Removed AAT support
  * AAT source added
* Wed Jul  4 2012 pgajdos@suse.cz
- amend spec file to reflect new font packaging scheme
  (see openFATE#313536);
* Thu May 17 2012 pgajdos@suse.com
- call spec-cleaner
* Thu May  3 2012 pgajdos@suse.com
- renamed sil-abyssinica -> sil-abyssinica-fonts
* Tue Mar 13 2012 cfarrell@suse.com
- license update: OFL-1.1
  SPDX format
* Thu Apr  8 2010 tiwai@suse.de
- remove unnecessary buildrequires for too old distros
* Thu Mar 29 2007 rguenther@suse.de
- add unzip BuildRequires
* Fri Oct 20 2006 mfabian@suse.de
- new package: sil-abyssinica, version 1.0.
